# QGraphicsPixmapItem Class Reference

### [com.trolltech.qt.gui package]

Inherits QGraphicsItem.

### Constructor

- void QGraphicsPixmapItem(QGraphicsItem parent, QGraphicsScene scene)
- void QGraphicsPixmapItem(QPixmap pixmap, QGraphicsItem parent, QGraphicsScene scene)

### Constructor Properties

- prototype: The QGraphicsPixmapItem prototype object
- MaskShape
- BoundingRectShape
- HeuristicMaskShape
- ShapeMode( value )

### Prototype Object Properties

- QPointF offset()
- QPixmap pixmap()
- void setOffset(QPointF offset)
- void setPixmap(QPixmap pixmap)
- void setShapeMode(ShapeMode mode)
- void setTransformationMode(TransformationMode mode)
- ShapeMode shapeMode()
- TransformationMode transformationMode()

### Instance Properties

QGraphicsPixmapItem objects have no special properties beyond those inherited from the QGraphicsPixmapItem prototype object.